# Search conversations (deprecated)

NOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.

Endpoint: GET /v1/search/conversations
Version: v1
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

  - `query` (string, required)
    The text by which to search conversations

  - `exactMatch` (boolean)
    Return only exact matches. This value is false by default.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer, required)
    Identifier of a Conversation where a match was found

  - `data.innerHits` (array)
    Deprecated: always returned as an empty list.

  - `data.innerHits.id` (string, required)
    Identifier of a sub-entity (such as a Message) where a match was found

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 401 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

